<?xml version='1.0' encoding='utf-8'?>
<root version="20190819">
    <world>
        <walls>
            <wall begin="0:0" stroke-width="5" id="{040de144-7a6f-4afb-aac7-f4be1da696ed}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:200"/>
            <wall begin="0:1000" stroke-width="5" id="{1f62c201-8723-425c-99e0-7fc78d10d47e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:1200"/>
            <wall begin="800:0" stroke-width="5" id="{2874bbda-b5e5-4260-863d-0147f6292377}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:0"/>
            <wall begin="1400:600" stroke-width="5" id="{3c0fc77d-99bf-4596-9ff2-bcc22a000dec}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:400"/>
            <wall begin="0:1600" stroke-width="5" id="{4eea2523-0262-471e-80a8-c6b7aa153b01}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="350:1600"/>
            <wall begin="1400:800" stroke-width="5" id="{5666c708-c4f6-47b0-a1bc-d1ea861e7ce6}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:1000"/>
            <wall begin="1200:0" stroke-width="5" id="{56b522a3-5c7c-46e2-bfbc-cd9c2ff7b09e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:0"/>
            <wall begin="1000:400" stroke-width="5" id="{56d86238-8521-494b-84cf-3b0703950e0b}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:400"/>
            <wall begin="0:200" stroke-width="5" id="{58e93446-e01b-4467-ac81-aa74f6100032d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:400"/>
            <wall begin="1600:1600" stroke-width="5" id="{6259eff6-f304-44b2-adaa-7a0cb6e9b25f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="350:1600"/>
            <wall begin="0:800" stroke-width="5" id="{66fbb1bc-9b68-4372-b662-0df09cdcfce7}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:1000"/>
            <wall begin="0:400" stroke-width="5" id="{69c7c389-2d66-4f30-b457-0b97ce171f1d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:600"/>
            <wall begin="1600:0" stroke-width="5" id="{6c9a8506-c0dc-48bb-97c2-f6b87eb73d07}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:400"/>
            <wall begin="1200:3200" stroke-width="5" id="{72ae5ff8-5f50-414f-8a74-bdf530ed760c}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="4400:3200"/>
            <wall begin="600:0" stroke-width="5" id="{89bde907-f287-4caf-81c2-51a4ac98550f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:0"/>
            <wall begin="0:600" stroke-width="5" id="{8d7fa5f1-3d4c-42aa-b34f-e90ebfeb39f9}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:800"/>
            <wall begin="200:0" stroke-width="5" id="{8e0cb31e-f24f-41ce-b44a-37951d29d651}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:0"/>
            <wall begin="1000:200" stroke-width="5" id="{9fcd364e-1aa1-4f37-a8db-8ff676f4d383}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:400"/>
            <wall begin="0:0" stroke-width="5" id="{aaabe6ec-8c84-4d9e-a005-99b5fb37d153}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:0"/>
            <wall begin="1600:1000" stroke-width="5" id="{aef47fd5-ed95-41a8-9833-c4b7753c015a}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:400"/>
            <wall begin="1000:0" stroke-width="5" id="{d8f2ac0c-c426-4ca9-83fa-72ad0733dbbc}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:0"/>
            <wall begin="1600:1000" stroke-width="5" id="{de654a82-30ad-4296-a1ad-40e07030a493}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:1600"/>
            <wall begin="1000:600" stroke-width="5" id="{df0c339b-2932-4ea9-b5af-c9b6cdad3023}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:600"/>
            <wall begin="0:1200" stroke-width="5" id="{e3ba069f-ad0c-4960-b795-84e15d9027a5}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:1600"/>
            <wall begin="400:0" stroke-width="5" id="{fbbf6aa2-2e72-43a3-8451-3f44f080826f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:0"/>
            <wall begin="400:400" stroke-width="5" id="{2a1cbe4d-2c1b-4ffe-afdd-8d8dfe48e1f6}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:600"/>
            <wall begin="1200:200" stroke-width="5" id="{7e8577fa-f52c-4394-9284-56049ea21ab5}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:400"/>
            <wall begin="800:1000" stroke-width="5" id="{b01ae299-3ef3-41cb-9ca7-4b0005f63d4b}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:1000"/>
            <wall begin="600:1400" stroke-width="5" id="{5e4a95b9-7f7c-48bc-88ed-6225d83656cc}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:1400"/>
            <wall begin="200:1400" stroke-width="5" id="{a968f975-2e39-48c9-a61f-90ea4c0dbd96}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:1200"/>
            <wall begin="600:200" stroke-width="5" id="{200b2a51-858d-4f2d-8848-3e4d54ee07ad}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:200"/>
            <wall begin="400:400" stroke-width="5" id="{061b02c9-929a-427e-b9f2-0a60fc2c1d4b}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:400"/>
            <wall begin="200:1000" stroke-width="5" id="{199572d4-9fa6-476c-bc1a-07e1378efc4f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:1000"/>
            <wall begin="1000:1400" stroke-width="5" id="{413f3714-3063-4be0-8a55-cbaa9eb3369f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:1400"/>
            <wall begin="400:1200" stroke-width="5" id="{86344659-a914-41f8-a73c-7424b9af9870}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:1200"/>
            <wall begin="1000:1000" stroke-width="5" id="{ed15fe0f-fa32-4f9a-84e6-1acd95243ff6}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:800"/>
            <wall begin="600:200" stroke-width="5" id="{24dcd69c-6008-490c-a97e-424f7083b404}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:200"/>
            <wall begin="200:200" stroke-width="5" id="{5a0f7167-a160-4209-80aa-cc01e1803b42}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:400"/>
            <wall begin="400:200" stroke-width="5" id="{e614c306-2840-452f-ae9b-e5b0b3f44404}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:200"/>
            <wall begin="600:800" stroke-width="5" id="{f32452a9-c16d-483a-bc5a-3ab5a9c9da1d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:1000"/>
            <wall begin="200:400" stroke-width="5" id="{961740db-fc58-4122-bbd8-99282945475f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:600"/>
            <wall begin="200:800" stroke-width="5" id="{896fdc9a-84ed-42c5-a80e-1dc32210345f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:1000"/>
            <wall begin="400:600" stroke-width="5" id="{b3e4f08a-55ae-4a97-8404-c1ba41467a0e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:800"/>
            <wall begin="400:800" stroke-width="5" id="{64848a17-ff29-4347-a99b-a2fc70b37308}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:1000"/>
            <wall begin="600:800" stroke-width="5" id="{29ec86ba-4853-494b-8b58-6cb2ef5b42bf}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:600"/>
            <wall begin="600:200" stroke-width="5" id="{8f2f712c-f869-4c88-97fc-818a2fb7dec8}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:200"/>
            <wall begin="800:400" stroke-width="5" id="{a091c553-55da-4e19-9c98-ed0728179e3d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:400"/>
            <wall begin="600:600" stroke-width="5" id="{0ab6ebde-cb23-40c4-9978-d033fd040d62}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:600"/>
            <wall begin="600:1000" stroke-width="5" id="{b200c203-8368-4fd8-891d-96ef845e470d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:1000"/>
            <wall begin="1000:600" stroke-width="5" id="{27857d7e-30a4-4743-a71c-ddb8e1d23760}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:800"/>
            <wall begin="800:200" stroke-width="5" id="{8a2985b8-bb4f-4259-90b1-0fe79b1592af}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:200"/>
            <wall begin="1200:200" stroke-width="5" id="{e981bc6d-7a96-4a26-90be-9c31ae484967}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:200"/>
            <wall begin="1400:200" stroke-width="5" id="{e478e9c6-6546-4947-a882-ae5649e386e7}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:400"/>
            <wall begin="1200:400" stroke-width="5" id="{f32ca014-c2c7-418a-a905-ba6c32cf599e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:600"/>
            <wall begin="1400:600" stroke-width="5" id="{262b2ec4-0463-4c15-845a-0b5cb5890848}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:800"/>
            <wall begin="1200:800" stroke-width="5" id="{38190515-6640-406e-a3ae-58d6c33951dd}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:600"/>
            <wall begin="1200:800" stroke-width="5" id="{cb4d6239-b16e-4f6b-bfed-71c7d025c956}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:1000"/>
            <wall begin="1400:1000" stroke-width="5" id="{63e13e57-14c1-4e3d-a92a-efd7ecba5e19}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:1200"/>
            <wall begin="1400:1200" stroke-width="5" id="{3212c39d-89cd-44e3-adc4-299a5f6bfbf5}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:1400"/>
            <wall begin="1400:1400" stroke-width="5" id="{a795f23d-37c0-4011-abe6-b3f464445f02}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:1400"/>
            <wall begin="1200:1000" stroke-width="5" id="{276f4d5e-e5eb-4fe3-9006-7ff4ab459ea0}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1200:1200"/>
            <wall begin="1200:1200" stroke-width="5" id="{9b8a2454-560d-433a-bcf9-5be570af0c8d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:1200"/>
            <wall begin="800:1200" stroke-width="5" id="{e67da04c-1b77-4852-8af9-0ed90f94246c}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:1200"/>
            <wall begin="800:1200" stroke-width="5" id="{e3123a0b-5443-42b5-bffb-8f7bf23d138e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="600:1200"/>
            <wall begin="400:1200" stroke-width="5" id="{cfb90a38-14a3-4c11-b56d-0e2253706a8e}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="200:1200"/>
            <wall begin="200:1400" stroke-width="5" id="{132f547d-fd26-4892-87b7-6cb9f9b5930d}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="400:1400"/>
            <wall begin="600:1400" stroke-width="5" id="{90497a51-ce2b-42de-98be-36dc956da401}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:1400"/>
            <wall begin="800:1400" stroke-width="5" id="{27f2a306-6fc9-4420-a870-004cf5b37ab9}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="800:1400"/>
            <wall begin="800:1400" stroke-width="5" id="{c9fd94d6-fe71-4780-a3de-1bd6e63620a7}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1000:1400"/>
            <wall begin="200:600" stroke-width="5" id="{81fb791f-daab-4c87-8e4a-fd01d0c1c583}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:600"/>
            <wall begin="200:800" stroke-width="5" id="{155de755-5bd9-4726-8a80-a9725d4b1185}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="0:800"/>
            <wall begin="1400:1400" stroke-width="5" id="{edc7f175-6ee4-4e39-8c51-f33ab80ecc1f}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1600:1400"/>
            <wall begin="1400:1400" stroke-width="5" id="{fc53b7b9-7ee9-4f08-83a3-d703dc339cb9}" stroke="#ff000000" stroke-style="none" fill="#ff000000" end="1400:1600"/>
        </walls>
        <skittles/>
        <balls/>
        <colorFields/>
        <images/>
        <regions>
            <region y="200" textX="0" text="(5,1)" id="(5,1)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(5,2)" id="(5,2)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="Start" id="start" filled="true" height="200" textY="0" x="1000" visible="true" color="#0000ff" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(5,3)" id="(5,3)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(5,5)" id="(5,5)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(5,6)" id="(5,6)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(5,4)" id="(5,4)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(5,0)" id="(5,0)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(4,1)" id="(4,1)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(4,2)" id="(4,2)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(4,7)" id="(4,7)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(4,3)" id="(4,3)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(4,5)" id="(4,5)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(4,6)" id="(4,6)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(4,4)" id="(4,4)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(5,7)" id="(5,7)" filled="true" height="200" textY="0" x="1000" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(7,2)" id="(7,2)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(7,3)" id="(7,3)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(6,0)" id="(6,0)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(7,4)" id="(7,4)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(7,6)" id="(7,6)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="Blocked" id="(7,7)" filled="true" height="200" textY="0" x="1400" visible="true" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(7,5)" id="(7,5)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(7,1)" id="(7,1)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(6,1)" id="(6,1)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(6,2)" id="(6,2)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(7,0)" id="(7,0)" filled="true" height="200" textY="0" x="1400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(6,3)" id="(6,3)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(6,4)" id="(6,4)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(6,7)" id="(6,7)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(6,5)" id="(6,5)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(6,6)" id="(6,6)" filled="true" height="200" textY="0" x="1200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(4,0)" id="(4,0)" filled="true" height="200" textY="0" x="800" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(1,0)" id="(1,0)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(1,1)" id="(1,1)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(3,7)" id="(3,7)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(1,2)" id="(1,2)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(1,4)" id="(1,4)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(1,5)" id="(1,5)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(1,3)" id="(1,3)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(0,7)" id="(0,7)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(0,0)" id="(0,0)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(0,1)" id="(0,1)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(0,6)" id="(0,6)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(0,2)" id="(0,2)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(0,4)" id="(0,4)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(0,5)" id="(0,5)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(0,3)" id="(0,3)" filled="true" height="200" textY="0" x="0" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(1,6)" id="(1,6)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(3,1)" id="(3,1)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(3,2)" id="(3,2)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(1,7)" id="(1,7)" filled="true" height="200" textY="0" x="200" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(3,3)" id="(3,3)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(3,5)" id="(3,5)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(3,6)" id="(3,6)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(3,4)" id="(3,4)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(3,0)" id="(3,0)" filled="true" height="200" textY="0" x="600" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="0" textX="0" text="(2,0)" id="(2,0)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="200" textX="0" text="(2,1)" id="(2,1)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1400" textX="0" text="(2,7)" id="(2,7)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="400" textX="0" text="(2,2)" id="(2,2)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="600" textX="0" text="(2,3)" id="(2,3)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1200" textX="0" text="(2,6)" id="(2,6)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="800" textX="0" text="(2,4)" id="(2,4)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
            <region y="1000" textX="0" text="(2,5)" id="(2,5)" filled="true" height="200" textY="0" x="400" visible="false" color="#87cefa" type="rectangle" width="200"/>
        </regions>
    </world>
    <robots>
        <robot position="1075:1075" id="trikKitRobot" direction="180">
            <sensors>
                <sensor position="25:25" type="trik::robotModel::parts::TrikSonarSensor" port="D1###input###D1###sensorD1" direction="0"/>
                <sensor position="25:25" type="trik::robotModel::parts::TrikSonarSensor" port="D2###input###D2###sensorD2" direction="180"/>
                <sensor position="25:25" type="trik::robotModel::parts::TrikInfraredSensor" port="A1###input###А1###sensorA1" direction="90"/>
                <sensor position="25:25" type="trik::robotModel::parts::TrikInfraredSensor" port="A2###input######sensorA2" direction="-90"/>
            </sensors>
            <startPosition y="1100" id="{153e1f58-d00a-4ceb-af02-6d586cd4ee70}" x="1100" direction="180"/>
            <wheels right="M3###output###М3###" left="M4###output###М4###"/>
        </robot>
    </robots>
    <settings realisticSensors="false" realisticPhysics="false" realisticMotors="false"/>
    <constraints>
        <timelimit value="900000"/>
        <constraint checkOnce="true" failMessage="У робота не должно быть лишних датчиков!">
            <conditions glue="and">
                <equals>
                    <typeOf objectId="robot1.A3"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A4"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A5"/>
                    <string value="undefined"/>
                </equals>
                <equals>
                    <typeOf objectId="robot1.A6"/>
                    <string value="undefined"/>
                </equals>
            </conditions>
        </constraint>
        <constraint checkOnce="true" failMessage="Робот должен находиться в зоне старта перед запуском!">
            <inside regionId="start" objectId="robot1"/>
        </constraint>
        <event settedUpInitially="true">
			<conditions glue = "and">
				<not>
					<inside objectId="robot1" regionId="start"/>
				</not>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
				<conditions glue = "or">
                    <equals>
                        <objectState object="robot1.display.labels.first.text"/>
                        <string value="(7,6)"/>
                    </equals>
                    <equals>
                        <objectState object="robot1.display.labels.first.text"/>
                        <string value="(7,6)"/>
                    </equals>
                </conditions>
			</conditions>
			<trigger>
				<fail message="Неверный ответ!"/>
			</trigger>
		</event>

		<event settedUpInitially="true">
			<conditions glue = "and">
				<inside objectId="robot1" regionId="start"/>
				<greater>
					<objectState object="robot1.display.labels.size"/>
					<int value="0"/>
				</greater>
                <conditions glue = "or">
                    <equals>
                        <objectState object="robot1.display.labels.first.text"/>
                        <string value="(7,6)"/>
                    </equals>
                    <equals>
                        <objectState object="robot1.display.labels.first.text"/>
                        <string value="(6,7)"/>
                    </equals>
                </conditions>
				
			</conditions>
			<trigger>
				<success/>
			</trigger>
		</event>        
    </constraints>
</root>
